Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgUtil::UpdateVisitor Class Reference

Basic UpdateVisitor implementation for animating a scene. More...

Inheritance diagram for osgUtil::UpdateVisitor:

[legend]
List of all members.

## Public Member Functions
| UpdateVisitor ()
virtual | ~UpdateVisitor ()
virtual void | reset ()
| Method to call to reset visitor.
virtual void | apply (osg::Node &node)
| During traversal each type of node calls its callbacks and its children traversed.
virtual void | apply (osg::Geode &node)
virtual void | apply (osg::Billboard &node)
virtual void | apply (osg::LightSource &node)
virtual void | apply (osg::Group &node)
virtual void | apply (osg::Transform &node)
virtual void | apply (osg::Projection &node)
virtual void | apply (osg::Switch &node)
virtual void | apply (osg::LOD &node)
virtual void | apply (osg::OccluderNode &node)
## Protected Member Functions
UpdateVisitor & | operator= (const UpdateVisitor &)
| Prevent unwanted copy operator.
void | handle_callbacks (osg::StateSet *stateset)
void | handle_callbacks_and_traverse (osg::Node &node)
void | handle_geode_callbacks (osg::Geode &geode)

## Detailed Description

Basic UpdateVisitor implementation for animating a scene.

This visitor traverses the scene graph, calling each nodes appCallback if it exists.

## Constructor & Destructor Documentation

osgUtil::UpdateVisitor::UpdateVisitor | ( |  | ) |

virtual osgUtil::UpdateVisitor::~UpdateVisitor | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void osgUtil::UpdateVisitor::apply | ( | osg::OccluderNode & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgUtil::UpdateVisitor::apply | ( | osg::LOD & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgUtil::UpdateVisitor::apply | ( | osg::Switch & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgUtil::UpdateVisitor::apply | ( | osg::Projection & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgUtil::UpdateVisitor::apply | ( | osg::Transform & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgUtil::UpdateVisitor::apply | ( | osg::Group & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgUtil::UpdateVisitor::apply | ( | osg::LightSource & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgUtil::UpdateVisitor::apply | ( | osg::Billboard & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgUtil::UpdateVisitor::apply | ( | osg::Geode & | node | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgUtil::UpdateVisitor::apply | ( | osg::Node & | node | ) | `[inline, virtual]`

| During traversal each type of node calls its callbacks and its children traversed. Reimplemented from osg::NodeVisitor.

void osgUtil::UpdateVisitor::handle_callbacks | ( | osg::StateSet * | stateset | ) | `[inline, protected]`

void osgUtil::UpdateVisitor::handle_callbacks_and_traverse | ( | osg::Node & | node | ) | `[inline, protected]`

void osgUtil::UpdateVisitor::handle_geode_callbacks | ( | osg::Geode & | geode | ) | `[inline, protected]`

UpdateVisitor& osgUtil::UpdateVisitor::operator= | ( | const UpdateVisitor & |  | ) | `[inline, protected]`

| Prevent unwanted copy operator.

virtual void osgUtil::UpdateVisitor::reset | ( |  | ) | `[virtual]`

| Method to call to reset visitor. Useful if your visitor accumulates state during a traversal, and you plan to reuse the visitor. To flush that state for the next traversal: call reset() prior to each traversal. Reimplemented from osg::NodeVisitor.

The documentation for this class was generated from the following file:

- UpdateVisitor